Public Class frmKundenKontakteDetails

    Dim kdNr As Integer
    Dim kkd_id As Integer
    Dim KD_KONTAKT As VERAG_PROG_ALLGEMEIN.cKundenKontakte = Nothing

    Sub New(kdNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.kdNr = kdNr
    End Sub

    Sub New(kdNr, kkd_id)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.kkd_id = kkd_id
        Me.kdNr = kdNr

    End Sub

    Private Sub frmKundenKontakteDetails_Load(sender As Object, e As EventArgs) Handles Me.Load


        cboMannFrau.Items.Clear()
        cboMannFrau.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboMannFrau.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Herr", "Herr"))
        cboMannFrau.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Frau", "Frau"))

        cboKontaktArt.fillWithSQL("SELECT [kka_id],[kka_Bezeichnung]  FROM [tblKundenKontaktArten]", False, "FMZOLL", False)
        If cboKontaktArt.Items.Count > 0 Then cboKontaktArt.SelectedIndex = 0

        If kkd_id > 0 Then
            KD_KONTAKT = New VERAG_PROG_ALLGEMEIN.cKundenKontakte(kkd_id)

        Else
            KD_KONTAKT = Nothing
        End If
        setvalue()
    End Sub

    Sub setvalue()
        If KD_KONTAKT Is Nothing Then KD_KONTAKT = New VERAG_PROG_ALLGEMEIN.cKundenKontakte

        cboMannFrau.changeItem(If(KD_KONTAKT.kkd_AnsprechpartnerAnrede, ""))
        cboKontaktArt.changeItem(If(KD_KONTAKT.kkd_kkaId, ""))

        lblAnsprechpartnerVN.Text = If(KD_KONTAKT.kkd_AnsprechpartnerVorname, "")
        lblAnsprechpartnerNN.Text = If(KD_KONTAKT.kkd_AnsprechpartnerNachname, "")

        lblTel.Text = If(KD_KONTAKT.kkd_Tel, "")
        lblFax.Text = If(KD_KONTAKT.kkd_Fax, "")
        lblEmail.Text = If(KD_KONTAKT.kkd_Email, "")
        lblEmailCC.Text = If(KD_KONTAKT.kkd_EmailCC, "")
        lblEmailBCC.Text = If(KD_KONTAKT.kkd_EmailBCC, "")
        lblMobil.Text = If(KD_KONTAKT.kkd_Mobil, "")
    End Sub

    Sub getvalue()
        If KD_KONTAKT Is Nothing Then KD_KONTAKT = New VERAG_PROG_ALLGEMEIN.cKundenKontakte

        KD_KONTAKT.kkd_AnsprechpartnerAnrede = cboMannFrau._value
        KD_KONTAKT.kkd_kkaId = cboKontaktArt._value
        KD_KONTAKT.kkd_kkaBez = cboKontaktArt.Text
        KD_KONTAKT.kkd_KundenNr = kdNr

        KD_KONTAKT.kkd_AnsprechpartnerVorname = lblAnsprechpartnerVN.Text
        KD_KONTAKT.kkd_AnsprechpartnerNachname = lblAnsprechpartnerNN.Text

        KD_KONTAKT.kkd_Tel = lblTel.Text
        KD_KONTAKT.kkd_Fax = lblFax.Text
        KD_KONTAKT.kkd_Email = lblEmail.Text
        KD_KONTAKT.kkd_EmailCC = lblEmailCC.Text
        KD_KONTAKT.kkd_EmailBCC = lblEmailBCC.Text
        KD_KONTAKT.kkd_Mobil = lblMobil.Text

    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        getvalue()
        KD_KONTAKT.SAVE()
        Me.Close()
    End Sub

    Private Sub TextBox1_TextChanged(sender As Object, e As EventArgs) Handles lblEmailCC.TextChanged

    End Sub
End Class
